package com.ruoyi.demo.mapper;

import java.util.List;
import com.ruoyi.demo.domain.DemoStudent;

/**
 * 学生信息单表(mb)Mapper接口
 * 
 * @author 数据小王子
 * @date 2023-07-09
 */
public interface DemoStudentMapper 
{
    /**
     * 查询学生信息单表(mb)
     * 
     * @param studentId 学生信息单表(mb)主键
     * @return 学生信息单表(mb)
     */
    public DemoStudent selectDemoStudentByStudentId(Long studentId);

    /**
     * 查询学生信息单表(mb)列表
     * 
     * @param demoStudent 学生信息单表(mb)
     * @return 学生信息单表(mb)集合
     */
    public List<DemoStudent> selectDemoStudentList(DemoStudent demoStudent);

    /**
     * 新增学生信息单表(mb)
     * 
     * @param demoStudent 学生信息单表(mb)
     * @return 结果
     */
    public int insertDemoStudent(DemoStudent demoStudent);

    /**
     * 修改学生信息单表(mb)
     * 
     * @param demoStudent 学生信息单表(mb)
     * @return 结果
     */
    public int updateDemoStudent(DemoStudent demoStudent);

    /**
     * 删除学生信息单表(mb)
     * 
     * @param studentId 学生信息单表(mb)主键
     * @return 结果
     */
    public int deleteDemoStudentByStudentId(Long studentId);

    /**
     * 批量删除学生信息单表(mb)
     * 
     * @param studentIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDemoStudentByStudentIds(Long[] studentIds);
}
